Bug 240698 - devel/libvterm: Update to git20190828
Summary: devel/libvterm: Update to git20190828
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks: 240699
  Show dependency treegraph
 
Reported: 2019-09-20 03:03 UTC by checo1705
Modified: 2019-10-07 15:34 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (dem.procopiou)
dem.procopiou: maintainer-feedback+


Attachments
trivial patch (1.03 KB, patch)
2019-09-20 03:03 UTC, checo1705
no flags Details | Diff
git20190917 (1.03 KB, patch)
2019-09-20 16:23 UTC, checo1705
no flags Details | Diff
release 0.1.1 (1.43 KB, patch)
2019-09-20 18:00 UTC, checo1705
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description checo1705 2019-09-20 03:03:18 UTC
Created attachment 207641 [details]
trivial patch

Update to lastest commit since neovim needs a newer version
Comment 1 Adam Weinberger freebsd_committer 2019-09-20 13:32:08 UTC
So, homebrew uses http://www.leonerd.org.uk/code/libvterm/ as their libvterm library instead. I don't know our history, nor ANY of the differences between them, but is there a reason we went with the no-releases library from neovim instead of LeoNerd's libvterm?
Comment 2 checo1705 2019-09-20 16:23:48 UTC
Created attachment 207656 [details]
git20190917
Comment 3 checo1705 2019-09-20 16:30:53 UTC
(In reply to Adam Weinberger from comment #1)
Wish I knew too, but, from neovim wiki "For some dependencies we maintain temporary "forks", which are simply private branches with a few extra patches, while we wait for the upstream project to merge the patches." and "For all other cases, Nvim builds against and supports both the "vanilla" dependency (without Nvim's patches) and typically much older versions.". I cannot see any harm on using the "fork" while I admit it is not a good practice.
Comment 4 checo1705 2019-09-20 17:11:54 UTC
I cannot see any recent patches from the neovim fork, in fact almost all the commits are done by Leonerd itself, git20190826 should be identical to release 0.1, perhaps We shall use that or refactor the port to use the releases provided.
Comment 5 checo1705 2019-09-20 18:00:52 UTC
Created attachment 207662 [details]
release 0.1.1

Now I understand; master is mirror, 0.1 was first release, 0.1.1 is bugfix taken upstream from neovim's nvim branch. I think We should refactor the port. Would it be necesary to use PORTLINT?
Comment 6 checo1705 2019-09-21 21:55:46 UTC
(In reply to checo1705 from comment #5)
I meant PORTEPOCH, not portlint
Comment 7 Adam Weinberger freebsd_committer 2019-09-23 15:00:05 UTC
No, it wouldn't.

[adamw@apnoea ~] pkg version -t git20161218 0.1.1
<
Comment 8 commit-hook freebsd_committer 2019-10-07 15:33:47 UTC
A commit references this bug:

Author: adamw
Date: Mon Oct  7 15:32:48 UTC 2019
New revision: 513963
URL: https://svnweb.freebsd.org/changeset/ports/513963

Log:
  libvterm: Update to 0.1.1 and change upstream source

  Previously, we were using a neovim-maintained fork of upstream,
  which these days is essentially a staging group before being
  merged to the official repo. Releases come from the official
  upstream, though, so this commit tracks that instead of cherry-picking
  from the neovim repo.

  While here, mark perl as being test-only.

  PR:		240698
  Submitted by:	checo175 secmailpro
  Approved by:	maintainer

Changes:
  head/devel/libvterm/Makefile
  head/devel/libvterm/distinfo
  head/devel/libvterm/pkg-plist
Comment 9 Adam Weinberger freebsd_committer 2019-10-07 15:34:56 UTC
Geez, this whole time I was waiting for Demetris to approve the PR. I just realized that you did so weeks ago. Sorry about that, and thank you for being on top of it!